<?php if (!defined('PmWiki')) exit();

/*  Copyright 2006 Hans Bracker for dltoggle.php. 
    This file is dltoggle.php; you can redistribute it and/or modify
    it under the terms of the Creative Commons license, 
    http://creativecommons.org/licenses/by-nc-sa/2.0/
    You are free:
        * to copy, distribute, display, and perform the work
        * to make derivative works
    Under the following conditions:
      by Attribution. You must give the original author credit.
      Non-Commercial. You may not use this work for commercial purposes.
      Share Alike. If you alter, transform, or build upon this work, you may distribute 
      the resulting work only under a licence identical to this one.
       * For any reuse or distribution, you must make clear to others the licence terms of this work.
       * Any of these conditions can be waived if you get permission from the copyright holder.
    
    dltoggle.php integrates TJK_ToggleDL by Thierry Koblentz - www.TJKDesign.com
    into pmwiki, to create FAQ toggle lists using : term : definition markup.
    TJK_ToggleDL is published under the terms of the Creative Commons license,
    http://creativecommons.org/licenses/by-nc-sa/2.0/
    
    Install this file into the Farm/cookbook folder, all other files in the zip
    into the farm/pub/dltoggle/ folder. Add to config.php:
         include_once("$FarmD/cookbook/dltoggle.php");
    Javascript and css code gets loaded only when (:tjktoggle:) markup is present.
    Edit the css file to load different plus and minus button images etc.
    
    Usage:
    (:dltoggle:)
    Definition list(s) with 
    : term : definition markup
    (:dltoggleend:)
    
    Add (above the list) optional buttons to 'Show All' and 'Close All' definitions with
    (:input submit id=DLToggleOn value='Open All' class=inputbutton:) and
    (:input submit id=DLToggleOff value='Close All' class=inputbutton:)
    
    For browsers with no javascript support the buttons will not show, 
    and all definitions will be visible.
    
    Initial release 2006-04-11
*/
# Version date
$RecipeInfo['FAQToggleList']['Version'] = '2006-10-28';


Markup('dltoggle','directives','/\\(:dltoggle:\\)/e', "Keep('<div id=TJK_DL>')"); 
Markup('dltoggleend','directives','/\\(:dltoggleend:\\)/e', "DLToggle(\$pagename)"); 

# one function does it all.
function DLToggle($pagename) {
    global $HTMLHeaderFmt, $HTMLStylesFmt;
    SDV($DLToolTip, '$[Show/hide the answer]');
$HTMLHeaderFmt['dltoggle'] = "
    <script type='text/javascript'>
    dltooltip = '$DLToolTip';
    if (document.getElementById && document.getElementsByTagName){          
    document.write('<link href=\"\$FarmPubDirUrl/dltoggle/TJK_ToggleDL.css\" type=\"text/css\" rel=\"stylesheet\" />')}
    </script>
    <script type='text/javascript' src='\$FarmPubDirUrl/dltoggle/TJK_ToggleDL.js'></script>
    "; 
$HTMLStylesFmt['dltoggle'] = "
    #DLToggleOn, #DLToggleOff {display:none}
    ";
$out = "
    <p><script type='text/javascript' language='javaScript1.2'>
    <!--
      if (TJK_ToggleDL) TJK_ToggleDL();
    --></script></p>
</div> 
    ";
return Keep($out);
}
